VIO(4)

NAME
vio - VirtIO network device

SYNOPSIS
vio* at virtio? flags 0x00

DESCRIPTION
The vio driver provides support for the virtio(4) network interface provided by bhyve, KVM, QEMU, and VirtualBox.

Setting the bit 0x2 in the flags disables the RingEventIndex feature. This can be tried as a workaround for possible bugs in host implementations of vio at the cost of slightly reduced performance.

Setting the bit 0x100 in the flags forces the interface to be always in promiscuous mode. This can be used as a workaround for a bug in QEMU before version 1.7.2 that prevents packets with a VLAN tag from being sent to the guest.

SEE ALSO
intro(4), virtio(4)

HISTORY
The vio driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The vio driver was ported to OpenBSD and improved by Stefan Fritsch <sf@sfritsch.de>. It is based on the NetBSD vioif driver by Minoura Makoto.